cancel
Showing results for 
Search instead for 
Did you mean: 

Cant patch magento 1.7.0.2 with PHP5.4 patch

Cant patch magento 1.7.0.2 with PHP5.4 patch

Ive been trying to patch magento with the PHP5.4 patch but i recieve the following error:

sudo ./P5.4-1.7.0.0-1.7.0.2.sh
Checking if patch can be applied/reverted successfully...
ERROR: Patch can't be applied/reverted successfully.

checking file app/code/core/Mage/Catalog/Model/Product.php
checking file app/code/core/Mage/Core/Controller/Varien/Router/Standard.php
checking file app/code/core/Mage/Install/etc/config.xml
Hunk #1 FAILED at 69.
1 out of 1 hunk FAILED
checking file app/code/core/Zend/Pdf/FileParserDataSource.php

 

I have looked aroud online but cannot find anyone with the same error as me however. 

1 REPLY

Re: Cant patch magento 1.7.0.2 with PHP5.4 patch

Hunk failures are typically line-endings issues as in a dos CRLF file created after a file edit gets uploaded to a Linux system without line ending translation to convert it to LF line endings.

 

Run the problem file through dos2unix to clear up the line ending issue.